Package org.apache.tomcat.util.net

## Interface SSLUtil.ProtocolInfo

All Known Implementing Classes:
  `OpenSSLEngine`

Enclosing interface:
  SSLUtil

    public static interface SSLUtil.ProtocolInfo

Optional interface that can be implemented by `SSLEngine`s to indicate that they support ALPN and can provided the protocol agreed with the client.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getNegotiatedProtocol()` ALPN information.

### Method Detail

#### getNegotiatedProtocol

    java.lang.String getNegotiatedProtocol()

ALPN information.

Returns:
  the protocol selected using ALPN